// variables - must be declared globally!
//char outTemp_newValue[6];
//bool outTemp_parseNewValue;
//char outHum_newValue[4];
//bool outHum_parseNewValue;

void outTempHum_updateOnNewValue() {
  if(outTemp_parseNewValue) outTemp_update();
  if(outHum_parseNewValue) outHum_update();
}

void outTemp_update() {
  outTemp = atof(outTemp_newValue);
  outTempHumLastUpdate = millis();
  Serial.print("outTemp=");
  Serial.println(outTemp);
  outTemp_parseNewValue = false;
}

void outHum_update() {
  outHum = atoi(outHum_newValue);
  outTempHumLastUpdate = millis();
  Serial.print("outHum=");
  Serial.println(outHum);
  outHum_parseNewValue = false;
}
